// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "chunklist.h"
#include "../display/shader.h"

typedef struct {
  chunklist_t *chunkList;
} world_t;

world_t * worldCreate();

void worldRender(world_t *world, shader_t *shader);

void worldDispose(world_t *world);